/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.clientattribute;

import static de.ozgcloud.vorgang.clientattribute.ClientAttributeTestFactory.*;

import de.ozgcloud.vorgang.grpc.clientAttribute.GrpcClientAttributeValue;
import de.ozgcloud.vorgang.grpc.clientAttribute.GrpcSetClientAttributeRequest;
import de.ozgcloud.vorgang.grpc.clientAttribute.GrpcSetClientAttributeRequest.Builder;

public class GrpcSetClientAttributeRequestTestFactory {

	static GrpcSetClientAttributeRequest create() {
		return createBuilder().build();
	}

	static Builder createBuilder() {
		return GrpcSetClientAttributeRequest.newBuilder()
				.setVorgangId(VORGANG_ID)
				.setAttribute(GrpcClientAttributeTestFactory.create());
	}

	static GrpcSetClientAttributeRequest withValue(GrpcClientAttributeValue value) {
		return createBuilder().setAttribute(GrpcClientAttributeTestFactory.withValue(value)).build();
	}
}
